"use strict";

const BaseFcn = require("./baseFcn.js");

const config = require("../config.json");

// 連接資料庫伺服器
const nano = require('nano')(BaseFcn.createDbUrl(config.database));

// 使用指定資料庫
const DB_Account = nano.db.use('account');
const DB_user_group = nano.db.use('user_group');

const Signkey = 'asapce ttmatch sever';

function verify_account(account_in, password_in, callback) {
  let ResData = {};
  DB_Account.get(account_in).then((body) => {
    ResData = body;

    return DB_user_group.get(body.Group);
  }).then((body) => {
    ResData.AllowPage = body.AllowPage;

    if (ResData._id === account_in && ResData.Password === password_in) {
      return callback(true, ResData);
    }

    console.log("ResData.Password : " + ResData.Password);
    console.log("password_in      : " + password_in);
    return callback(false, ResData);
  }).catch((err) => {
    console.log(err);
    callback(false, err);
  });
}

module.exports = {
  verify_account,
  Signkey
};