/*eslint-env jquery */
/*globals Vue AjaxFail LocalServer_URL Show_FloatMsg*/

"use strict";


var Page_Datas = {
	Account: {
		/*UserName: "使用者",
		Group: "admin",
        _id: "user",
        Password: "g4a4wr5g4are6g4w5r4gh6ar45gh65ar4eh",
		AllowPage: ["AddPage", "AddPage", "AdminPage", "AnalysisPage", "EditPage", "ListPage", "ExportPage", "UserPage"],
		Picture: ""//*/
	},
	newPicture: ""
};

$(document).ready(function () {
	update_Account();
});

$(document).on("click", "#ChangePassword", function () {
	let NewPassword = $("#NewPassword").val();
	let CheckPassword = $("#CheckPassword").val();

	if (!NewPassword || !CheckPassword)
		return Show_FloatMsg("請輸入密碼");

	if (NewPassword !== CheckPassword)
		return Show_FloatMsg("確認密碼與修改密碼不一致");

	let Data = {
		NewPassword
	};

	APIMethod(Data, "/user", "PUT", (res) => {
		Show_FloatMsg(res.Msg);

		if (res.resStatus === "sus" && res.url) {
			setTimeout(() => {
				window.parent.window.location.href = res.url;
			}, 3000);
		}

	});
});



function update_Account() {
	Page_Datas.Account = JSON.parse(JSON.stringify(window.parent.Screen_Datas.Account));
}

var reader = new FileReader();

reader.onload = function (e) {
	Page_Datas.newPicture = e.target.result;
}

new Vue({
	el: ".Page",
	data: Page_Datas,
	methods: {
		previewFiles() {
			let file = this.$refs.Picture.files[0]
			console.log(file);

			reader.readAsDataURL(file)
		}
	}
});

// ---------------------------------------- function  ----------------------------------------

function APIMethod(data, URL, Method, callback) {
	let settings = {
		"async": true,
		"crossDomain": true,
		"url": LocalServer_URL + URL,
		"method": Method,
		data: data,
		timeout: 5000
	};

	$.ajax(settings).done(function (res) {
		try {
			let Obj = JSON.parse(res);
			callback(Obj);
		} catch (e) {
			callback(res);
		}
	}).fail(function (jqXHR, exception) {
		callback(exception);
		AjaxFail("\n" + Method + " " + URL + " : ", settings, jqXHR, exception);
	});
}